
#注册快捷键


#预处理函数: 设置脚本加载后自动启动
mkscript_config_auto_start()

#子函数
func void f1()

    println("按了 F1")
    
    #在这时可以通过编写脚本, 实现按下一个键完成多个动作   
    #mouse_move_to(100, 100)    
    #mouse_click(100, 100)
    
endfunc


#子函数
func void f3()

    println("按了 F3")
    
    #在这时可以通过编写脚本, 实现按下一个键完成多个动作
    
    #在这里演示鼠标的移动
    int i
    for i = 1 to 9   
        mouse_move_to(i * 100, i * 100)        
        sleep(100)
    next
    
endfunc

#注册快捷键

println("注册快捷键: F1, 调用 f1() 子函数")
register_hotkey(0, mkVK_F1, "f1")

println("注册快捷键: F3, 调用 f3() 子函数")
register_hotkey(0, mkVK_F3, "f3")